Bug 1870109 - Help text if golden image is missing is not helpful
Summary: Help text if golden image is missing is not helpful
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Gilad Lekner
QA Contact: Guohua Ouyang
URL:
Whiteboard: ux_issue
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-19 11:30 UTC by Tomas Jelinek
Modified: 2020-09-14 10:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6403 None closed Bug 1870109: Help text if golden image is missing is not helpful 2020-09-14 09:43:53 UTC

Description Tomas Jelinek 2020-08-19 11:30:51 UTC
Description of problem:

Go to vm wizard and pick an OS which has no golden image associated with it. The help text is "The disk image defined for this Operating System is not available, a custom boot source must be defined manually". It should be "[ OS name] Operating system image not available. You can either upload a new disk image (link) or define a boot source manually"

Comment 1 Matt 2020-08-19 16:16:51 UTC
The following flow should resolve this bug
When an OS is chosen that does not have a backing source we will notify the user via help text under the OS dropdown that they can upload a source via the PVC form. Alternatively they can just continue with other boot sources options in the dropdown.
If they choose to upload a local image that will be taken from the creation wizard and a modal will fire that alerts them that they will loose the VM they have started and must come back and create a new one after they've completed the data upload and linked it to the OS in the PVC upload form. We have supporting designs for this flow that can be provided.

Comment 2 Tomas Jelinek 2020-08-20 07:10:11 UTC
> We have supporting designs for this flow that can be provided.

can you please attach them also here so it is all in one place?


Note You need to log in before you can comment on or make changes to this bug.